//
//  UserFriendsModel.m
//  OYGameSKD
//
//  Created by leon on 2021/2/1.
//  Copyright © 2021 Oujia. All rights reserved.
//

#import "UserFriendsModel.h"

@implementation UserFriendsModel

- (void)setValue:(id)value forUndefinedKey:(NSString *)key
{
    if([key isEqualToString:@"id"]){
        self.trans_id = [value intValue];
    }else if([key isEqualToString:@"name"]){
        self.nickname = value;
    }else if([key isEqualToString:@"online_status"]){
        self.status = value;
    }
    
    if ([value isEqual:[NSNull null]]){
        value = @"";
    }
//    NSLog(@"键值设置 === >> %@",key);
    
}

@end


@implementation RankModel

- (void)setValue:(id)value forUndefinedKey:(NSString *)key{
    
    if([key isEqualToString:@"id"]){
        self.trans_id = [value intValue];
    }
    
    if ([value isEqual:[NSNull null]]){
        value = @"";
    }
    
//    NSLog(@"键值设置 === >> %@",key);
    
}

@end
